# Uses of Enum Class
org.apache.sysds.resource.enumeration.Enumerator.OptimizationStrategy

Packages that use Enumerator.OptimizationStrategy
Package
Description
org.apache.sysds.resource.enumeration

## Uses of Enumerator.OptimizationStrategy in org.apache.sysds.resource.enumeration

Methods in org.apache.sysds.resource.enumeration that return Enumerator.OptimizationStrategy
Modifier and Type
Method
Description
`Enumerator.OptimizationStrategy`
Enumerator.`getOptStrategy()`
Meant to be used for testing purposes
`static Enumerator.OptimizationStrategy`
Enumerator.OptimizationStrategy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Enumerator.OptimizationStrategy[]`
Enumerator.OptimizationStrategy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.resource.enumeration with parameters of type Enumerator.OptimizationStrategy
Modifier and Type
Method
Description
`Enumerator.Builder`
Enumerator.Builder.`withOptimizationStrategy(Enumerator.OptimizationStrategy strategy)`